@mixin app-housing-preferences-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  .housing-preferences {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .housing-preferences-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;

        .header-banner {
          display: flex;
          background-color: white;
          border: 2px solid mat-color($primary, 100);
          border-radius: 5px;
          padding: 10px 10px;
          margin-top: 10px;
          margin-bottom: 20px;
          font-size: 0.9em;

          span {
            display: flex;
            flex: auto;
            margin-right: 15px;
            align-items: flex-end;
          }

          .mat-progress-bar {
            padding: 5px;
            margin: 0 10px;
          }
        }
      }    

      .mat-card-content {
        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .example-container {
            width: 100%;
            margin-right: 10px;
            margin-left: 10px;
          }
        }
      }
      .mat-form-field-flex > .mat-form-field-infix {
        padding: 0.4em 0px !important;
        height: auto;
      }
    }

  }
}
